org.apache.tinkerpop.gremlin.process.traversal.strategy.decoration

## Class PartitionStrategy.MapPropertiesFilter

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.strategy.decoration.PartitionStrategy.MapPropertiesFilter

- All Implemented Interfaces:
    Serializable, Function<Traverser<Map<String,List<Property>>>,Map<String,List<Property>>>
  Enclosing class:
    PartitionStrategy

      public final class PartitionStrategy.MapPropertiesFilter
      extends Object
      implements Function<Traverser<Map<String,List<Property>>>,Map<String,List<Property>>>, Serializable

  Takes the result of a `Map` containing `Property` lists and if the property is a `VertexProperty` it applies a filter based on the current partitioning. If is not a `VertexProperty` the property is simply passed through.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapPropertiesFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,List<Property>>` | `apply(Traverser<Map<String,List<Property>>> mapTraverser)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose, identity`

- - ### Constructor Detail

    - #### MapPropertiesFilter

          public MapPropertiesFilter()

  - ### Method Detail

    - #### apply

          public Map<String,List<Property>> apply(Traverser<Map<String,List<Property>>> mapTraverser)

      Specified by:
        `apply` in interface `Function<Traverser<Map<String,List<Property>>>,Map<String,List<Property>>>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.